
/*
 * @test TestImplicitNullChecks
 * @run main/othervm -XX:+UseShenandoahGC -XX:-UseCompressedOops -XX:CompileOnly=TestImplicitNullChecks.test TestImplicitNullChecks
 */
public class TestImplicitNullChecks {

    public static class Test {
	public int x;
    }

    public static void main(String[] args) {
	try {
	    for (int x = 0; x < 1000000; x++) {
		Test t = new Test();
		test(t);
	    }
	    test(null);
	} catch (NullPointerException ex) {
	    // Ok.
	}
    }

    private static void test(Test t) {
	t.x = (int) (Math.random() * Integer.MAX_VALUE);
    }
}
